org.codehaus.plexus.compiler.javac

## Class JavaxToolsCompiler

- java.lang.Object
- - org.codehaus.plexus.compiler.javac.JavaxToolsCompiler

-     public class JavaxToolsCompiler
      extends Object

  Since:
    2.0
  Author:
    Olivier Lamy, David M. Lloyd

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaxToolsCompiler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CompilerMessage.Kind` | `convertKind(Diagnostic<? extends JavaFileObject> diagnostic)`
    `protected static JavaCompiler` | `getJavaCompiler(CompilerConfiguration compilerConfiguration)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaxToolsCompiler

          public JavaxToolsCompiler()

  - ### Method Detail

    - #### getJavaCompiler

          protected static JavaCompiler getJavaCompiler(CompilerConfiguration compilerConfiguration)

    - #### convertKind

          public static CompilerMessage.Kind convertKind(Diagnostic<? extends JavaFileObject> diagnostic)

Copyright © 2015. All rights reserved.